import java.util.*;

public class ExtendedWall{
	
	//CREER DES MURS, NE REMPLI PAS DE VASTES SURFACES AVEC DES MURS, cf la classe Remplisseur
	
	public ExtendedWall(ArrayList grille[][],String model,String name,String nameE,int coorX,int coorY,int longueur,String direction,String tile){
		
		
		if(direction.compareTo("h")==0){
		
			for(int x=0;x<=longueur;x++){
				//Wall mur=new Wall(false,model,name,"Obstacle",true,tile);
				grille[coorX][coorY].add(new Wall(false,model,name,nameE,"Obstacle",true,tile,"./images/walls/rocks.gif"));
				coorX++;
			}
		}
		
		
		if(direction.compareTo("v")==0){
		
			for(int y=0;y<=longueur;y++){
				//Wall mur=new Wall(false,model,name,"Obstacle",true,tile);
				grille[coorX][coorY].add(new Wall(false,model,name,nameE,"Obstacle",true,tile,"./images/walls/rocks.gif"));
				coorY++;
			}
		}
		
		
		
	}
	
}